#15902 reopened Bugs

keyboard works like an old "non-smart" phone on raspbian (raspberry pi 2)

Reported by: cpcbegin Owned by:
Priority: 4 - Normal
Component: Keymapping (Remote Control / Gamepad Controller) Version: 17.6 "Krypton" final
Severity: Normal Keywords: keyboard, mobile
Cc: popcornmix Blocked By:
Blocking: Platform: Linux

Description

I install latest Kodi on Raspbian on a Raspberry pi 2 but keyboard doesn't work like a keyboard PC

Using my keyboard in search dialogs for example:

  • Arrow keys runs ok.
  • If I press a number key some times I get the number, a letter, the following letter and again the number, like an old mobile.
  • If I press a letter key trigger an action behind dialog instead type the key.

Change History (7)

comment:1 Changed at 2015-04-07T02:10:21+01:00 by cpcbegin

Solution:

Add this line to /etc/init.d/rc.local

chmod 0777 /dev/tty0

comment:2 Changed at 2015-04-07T07:21:11+01:00 by jhsrennie

  • Owner jhsrennie deleted

I can't help with Raspberry builds I'm afraid

comment:3 Changed at 2015-11-25T14:09:03Z by Razze

  • Cc popcornmix added

@popcornmix any insight on this? Would that be something we would consider? I'm not even sure if we need to do that or the distribution. If thats the case, let's just close this.

comment:4 Changed at 2016-12-11T09:26:02Z by Martijn

  • Milestone Pending / Future deleted
  • Resolution set to Obsolete
  • Status changed from new to closed

Can you test v17?

comment:5 Changed at 2017-02-13T05:49:47Z by paul4ok

This is NOT obsolete and should be reopened. It still occurs for me in Kodi 17.0 running Raspbian Jessie.

To elaborate more, the keyboard input works and is being received by Kodi fine (including shortcut keys such as c for the context menu etc.). However, when you try to input a-z into a text input field nothing appears, and only keyboard shortcuts are triggered (e.g. several shortcuts related to PVR seem to get triggered when pressing certain keys as I get a warning that I don't have a PVR client installed). You can, however, input text by using keys 0-9 which work like an old mobile phone or standard TV remote control. I think Kodi seems to interpret input as a remote control, but not a full keyboard for some reason.

chmod 0777 /dev/tty0 seems to fix it but this seems rather hacky (and perhaps insecure???). That Kodi can receive a-z fine as shortcut keys suggests that this is not simply an issue with Raspbian, rather something strange about how Kodi is interpreting the keyboard input for text input fields.

Last edited at 2017-02-13T05:51:31Z by paul4ok (previous) (diff)

comment:6 Changed at 2018-04-08T14:24:45+01:00 by Logological

Confirming that this issue is still reprocudible with Kodi 17.6, running on Raspbian Stretch on a Pi 3. Martijn, can this bug be reopened or should I file a new one?

Running chmod 0777 /dev/tty0 before starting Kodi works around the problem. (But adding this line to /etc/init.d/rc.local or /etc/rc.local is no longer the best way of applying this kludge on boot; nowadays it is better to register it as a systemd service, as described at https://raspberrypi.stackexchange.com/a/82475/56449)

comment:7 Changed at 2018-04-08T16:24:36+01:00 by Razze

  • Resolution Obsolete deleted
  • Status changed from closed to reopened
  • Version changed from 14.2 "Helix" Final to 17.6 "Krypton" final
Note: See TracTickets for help on using tickets.